<?php

// Global variable for table object
$seguimiento_bebe = NULL;

//
// Table class for seguimiento_bebe
//
class cseguimiento_bebe extends cTable {
	var $id;
	var $Id_Registro_Madre;
	var $Primer_Nombre;
	var $Segundo_Nombre;
	var $Primer_Apellido;
	var $Segundo_Apellido;
	var $Registro_Civil;
	var $Sexo;
	var $Fecha_Nacimiento;
	var $Peso_Gramos;
	var $Recibio_Tratamiento_Profilactico;
	var $Esquema_Tratamiento;
	var $Otro;
	var $Tipo_Tratamiento_Bebe;
	var $No_Primera_Carga_Viral;
	var $Fecha_Primera_Cviral;
	var $Edad_Primer_Cviral_Dias;
	var $Segunda_Carga_Viral;
	var $No_Segunda_Carga_Viral_Bebe;
	var $Fecha_Segunda_Carga_Viral;
	var $Edad_Segunda_Carga_Viral_Dias;
	var $Resultado_Tamizaje_M18;
	var $Fecha_Tamizaje;
	var $Ultima_Cargaviral;
	var $Fecha_Ultima_Carga_viral;
	var $Formula_Lactea;
	var $Edad_Dias_Bebe;
	var $Clasificacion_Final_bebe;
	var $Observaciones;
	var $Registrado_Por;

	//
	// Table class constructor
	//
	function __construct() {
		global $Language;

		// Language object
		if (!isset($Language)) $Language = new cLanguage();
		$this->TableVar = 'seguimiento_bebe';
		$this->TableName = 'seguimiento_bebe';
		$this->TableType = 'TABLE';

		// Update Table
		$this->UpdateTable = "`seguimiento_bebe`";
		$this->DBID = 'DB';
		$this->ExportAll = TRUE;
		$this->ExportPageBreakCount = 0; // Page break per every n record (PDF only)
		$this->ExportPageOrientation = "portrait"; // Page orientation (PDF only)
		$this->ExportPageSize = "a4"; // Page size (PDF only)
		$this->ExportExcelPageOrientation = PHPExcel_Worksheet_PageSetup::ORIENTATION_DEFAULT; // Page orientation (PHPExcel only)
		$this->ExportExcelPageSize = PHPExcel_Worksheet_PageSetup::PAPERSIZE_A4; // Page size (PHPExcel only)
		$this->DetailAdd = FALSE; // Allow detail add
		$this->DetailEdit = FALSE; // Allow detail edit
		$this->DetailView = FALSE; // Allow detail view
		$this->ShowMultipleDetails = FALSE; // Show multiple details
		$this->GridAddRowCount = 5;
		$this->AllowAddDeleteRow = ew_AllowAddDeleteRow(); // Allow add/delete row
		$this->UserIDAllowSecurity = 0; // User ID Allow
		$this->BasicSearch = new cBasicSearch($this->TableVar);

		// id
		$this->id = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_id', 'id', '`id`', '`id`', 3, -1, FALSE, '`id`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'NO');
		$this->id->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['id'] = &$this->id;

		// Id_Registro_Madre
		$this->Id_Registro_Madre = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Id_Registro_Madre', 'Id_Registro_Madre', '`Id_Registro_Madre`', '`Id_Registro_Madre`', 3, -1, FALSE, '`Id_Registro_Madre`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Id_Registro_Madre'] = &$this->Id_Registro_Madre;

		// Primer_Nombre
		$this->Primer_Nombre = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Primer_Nombre', 'Primer_Nombre', '`Primer_Nombre`', '`Primer_Nombre`', 200, -1, FALSE, '`Primer_Nombre`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Primer_Nombre'] = &$this->Primer_Nombre;

		// Segundo_Nombre
		$this->Segundo_Nombre = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Segundo_Nombre', 'Segundo_Nombre', '`Segundo_Nombre`', '`Segundo_Nombre`', 200, -1, FALSE, '`Segundo_Nombre`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Segundo_Nombre'] = &$this->Segundo_Nombre;

		// Primer_Apellido
		$this->Primer_Apellido = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Primer_Apellido', 'Primer_Apellido', '`Primer_Apellido`', '`Primer_Apellido`', 200, -1, FALSE, '`Primer_Apellido`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Primer_Apellido'] = &$this->Primer_Apellido;

		// Segundo_Apellido
		$this->Segundo_Apellido = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Segundo_Apellido', 'Segundo_Apellido', '`Segundo_Apellido`', '`Segundo_Apellido`', 200, -1, FALSE, '`Segundo_Apellido`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Segundo_Apellido'] = &$this->Segundo_Apellido;

		// Registro_Civil
		$this->Registro_Civil = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Registro_Civil', 'Registro_Civil', '`Registro_Civil`', '`Registro_Civil`', 200, -1, FALSE, '`Registro_Civil`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Registro_Civil'] = &$this->Registro_Civil;

		// Sexo
		$this->Sexo = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Sexo', 'Sexo', '`Sexo`', '`Sexo`', 3, -1, FALSE, '`Sexo`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Sexo->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Sexo'] = &$this->Sexo;

		// Fecha_Nacimiento
		$this->Fecha_Nacimiento = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Fecha_Nacimiento', 'Fecha_Nacimiento', '`Fecha_Nacimiento`', 'DATE_FORMAT(`Fecha_Nacimiento`, \'%Y/%m/%d\')', 133, 5, FALSE, '`Fecha_Nacimiento`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Fecha_Nacimiento->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['Fecha_Nacimiento'] = &$this->Fecha_Nacimiento;

		// Peso_Gramos
		$this->Peso_Gramos = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Peso_Gramos', 'Peso_Gramos', '`Peso_Gramos`', '`Peso_Gramos`', 3, -1, FALSE, '`Peso_Gramos`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Peso_Gramos->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Peso_Gramos'] = &$this->Peso_Gramos;

		// Recibio_Tratamiento_Profilactico
		$this->Recibio_Tratamiento_Profilactico = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Recibio_Tratamiento_Profilactico', 'Recibio_Tratamiento_Profilactico', '`Recibio_Tratamiento_Profilactico`', '`Recibio_Tratamiento_Profilactico`', 3, -1, FALSE, '`Recibio_Tratamiento_Profilactico`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Recibio_Tratamiento_Profilactico->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Recibio_Tratamiento_Profilactico'] = &$this->Recibio_Tratamiento_Profilactico;

		// Esquema_Tratamiento
		$this->Esquema_Tratamiento = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Esquema_Tratamiento', 'Esquema_Tratamiento', '`Esquema_Tratamiento`', '`Esquema_Tratamiento`', 200, -1, FALSE, '`Esquema_Tratamiento`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'CHECKBOX');
		$this->Esquema_Tratamiento->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Esquema_Tratamiento'] = &$this->Esquema_Tratamiento;

		// Otro
		$this->Otro = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Otro', 'Otro', '`Otro`', '`Otro`', 200, -1, FALSE, '`Otro`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Otro'] = &$this->Otro;

		// Tipo_Tratamiento_Bebe
		$this->Tipo_Tratamiento_Bebe = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Tipo_Tratamiento_Bebe', 'Tipo_Tratamiento_Bebe', '`Tipo_Tratamiento_Bebe`', '`Tipo_Tratamiento_Bebe`', 3, -1, FALSE, '`Tipo_Tratamiento_Bebe`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Tipo_Tratamiento_Bebe->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Tipo_Tratamiento_Bebe'] = &$this->Tipo_Tratamiento_Bebe;

		// No_Primera_Carga_Viral
		$this->No_Primera_Carga_Viral = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_No_Primera_Carga_Viral', 'No_Primera_Carga_Viral', '`No_Primera_Carga_Viral`', '`No_Primera_Carga_Viral`', 200, -1, FALSE, '`No_Primera_Carga_Viral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'SELECT');
		$this->No_Primera_Carga_Viral->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['No_Primera_Carga_Viral'] = &$this->No_Primera_Carga_Viral;

		// Fecha_Primera_Cviral
		$this->Fecha_Primera_Cviral = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Fecha_Primera_Cviral', 'Fecha_Primera_Cviral', '`Fecha_Primera_Cviral`', 'DATE_FORMAT(`Fecha_Primera_Cviral`, \'%Y/%m/%d\')', 133, 5, FALSE, '`Fecha_Primera_Cviral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Fecha_Primera_Cviral->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['Fecha_Primera_Cviral'] = &$this->Fecha_Primera_Cviral;

		// Edad_Primer_Cviral_Dias
		$this->Edad_Primer_Cviral_Dias = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Edad_Primer_Cviral_Dias', 'Edad_Primer_Cviral_Dias', '`Edad_Primer_Cviral_Dias`', '`Edad_Primer_Cviral_Dias`', 3, -1, FALSE, '`Edad_Primer_Cviral_Dias`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Edad_Primer_Cviral_Dias->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Edad_Primer_Cviral_Dias'] = &$this->Edad_Primer_Cviral_Dias;

		// Segunda_Carga_Viral
		$this->Segunda_Carga_Viral = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Segunda_Carga_Viral', 'Segunda_Carga_Viral', '`Segunda_Carga_Viral`', '`Segunda_Carga_Viral`', 200, -1, FALSE, '`Segunda_Carga_Viral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Segunda_Carga_Viral->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Segunda_Carga_Viral'] = &$this->Segunda_Carga_Viral;

		// No_Segunda_Carga_Viral_Bebe
		$this->No_Segunda_Carga_Viral_Bebe = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_No_Segunda_Carga_Viral_Bebe', 'No_Segunda_Carga_Viral_Bebe', '`No_Segunda_Carga_Viral_Bebe`', '`No_Segunda_Carga_Viral_Bebe`', 200, -1, FALSE, '`No_Segunda_Carga_Viral_Bebe`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'SELECT');
		$this->No_Segunda_Carga_Viral_Bebe->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['No_Segunda_Carga_Viral_Bebe'] = &$this->No_Segunda_Carga_Viral_Bebe;

		// Fecha_Segunda_Carga_Viral
		$this->Fecha_Segunda_Carga_Viral = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Fecha_Segunda_Carga_Viral', 'Fecha_Segunda_Carga_Viral', '`Fecha_Segunda_Carga_Viral`', 'DATE_FORMAT(`Fecha_Segunda_Carga_Viral`, \'%Y/%m/%d\')', 133, 5, FALSE, '`Fecha_Segunda_Carga_Viral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Fecha_Segunda_Carga_Viral->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['Fecha_Segunda_Carga_Viral'] = &$this->Fecha_Segunda_Carga_Viral;

		// Edad_Segunda_Carga_Viral_Dias
		$this->Edad_Segunda_Carga_Viral_Dias = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Edad_Segunda_Carga_Viral_Dias', 'Edad_Segunda_Carga_Viral_Dias', '`Edad_Segunda_Carga_Viral_Dias`', '`Edad_Segunda_Carga_Viral_Dias`', 3, -1, FALSE, '`Edad_Segunda_Carga_Viral_Dias`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Edad_Segunda_Carga_Viral_Dias->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Edad_Segunda_Carga_Viral_Dias'] = &$this->Edad_Segunda_Carga_Viral_Dias;

		// Resultado_Tamizaje_M18
		$this->Resultado_Tamizaje_M18 = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Resultado_Tamizaje_M18', 'Resultado_Tamizaje_M18', '`Resultado_Tamizaje_M18`', '`Resultado_Tamizaje_M18`', 200, -1, FALSE, '`Resultado_Tamizaje_M18`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Resultado_Tamizaje_M18->OptionCount = 2;
		$this->fields['Resultado_Tamizaje_M18'] = &$this->Resultado_Tamizaje_M18;

		// Fecha_Tamizaje
		$this->Fecha_Tamizaje = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Fecha_Tamizaje', 'Fecha_Tamizaje', '`Fecha_Tamizaje`', 'DATE_FORMAT(`Fecha_Tamizaje`, \'%Y/%m/%d\')', 133, 5, FALSE, '`Fecha_Tamizaje`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Fecha_Tamizaje->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['Fecha_Tamizaje'] = &$this->Fecha_Tamizaje;

		// Ultima_Cargaviral
		$this->Ultima_Cargaviral = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Ultima_Cargaviral', 'Ultima_Cargaviral', '`Ultima_Cargaviral`', '`Ultima_Cargaviral`', 200, -1, FALSE, '`Ultima_Cargaviral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Ultima_Cargaviral'] = &$this->Ultima_Cargaviral;

		// Fecha_Ultima_Carga_viral
		$this->Fecha_Ultima_Carga_viral = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Fecha_Ultima_Carga_viral', 'Fecha_Ultima_Carga_viral', '`Fecha_Ultima_Carga_viral`', 'DATE_FORMAT(`Fecha_Ultima_Carga_viral`, \'%Y/%m/%d\')', 133, 5, FALSE, '`Fecha_Ultima_Carga_viral`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Fecha_Ultima_Carga_viral->FldDefaultErrMsg = str_replace("%s", "/", $Language->Phrase("IncorrectDateYMD"));
		$this->fields['Fecha_Ultima_Carga_viral'] = &$this->Fecha_Ultima_Carga_viral;

		// Formula_Lactea
		$this->Formula_Lactea = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Formula_Lactea', 'Formula_Lactea', '`Formula_Lactea`', '`Formula_Lactea`', 3, -1, FALSE, '`Formula_Lactea`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Formula_Lactea->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Formula_Lactea'] = &$this->Formula_Lactea;

		// Edad_Dias_Bebe
		$this->Edad_Dias_Bebe = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Edad_Dias_Bebe', 'Edad_Dias_Bebe', '`Edad_Dias_Bebe`', '`Edad_Dias_Bebe`', 3, -1, FALSE, '`Edad_Dias_Bebe`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->Edad_Dias_Bebe->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Edad_Dias_Bebe'] = &$this->Edad_Dias_Bebe;

		// Clasificacion_Final_bebe
		$this->Clasificacion_Final_bebe = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Clasificacion_Final_bebe', 'Clasificacion_Final_bebe', '`Clasificacion_Final_bebe`', '`Clasificacion_Final_bebe`', 3, -1, FALSE, '`Clasificacion_Final_bebe`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'RADIO');
		$this->Clasificacion_Final_bebe->OptionCount = 3;
		$this->Clasificacion_Final_bebe->FldDefaultErrMsg = $Language->Phrase("IncorrectInteger");
		$this->fields['Clasificacion_Final_bebe'] = &$this->Clasificacion_Final_bebe;

		// Observaciones
		$this->Observaciones = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Observaciones', 'Observaciones', '`Observaciones`', '`Observaciones`', 200, -1, FALSE, '`Observaciones`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXTAREA');
		$this->fields['Observaciones'] = &$this->Observaciones;

		// Registrado_Por
		$this->Registrado_Por = new cField('seguimiento_bebe', 'seguimiento_bebe', 'x_Registrado_Por', 'Registrado_Por', '`Registrado_Por`', '`Registrado_Por`', 200, -1, FALSE, '`Registrado_Por`', FALSE, FALSE, FALSE, 'FORMATTED TEXT', 'TEXT');
		$this->fields['Registrado_Por'] = &$this->Registrado_Por;
	}

	// Single column sort
	function UpdateSort(&$ofld) {
		if ($this->CurrentOrder == $ofld->FldName) {
			$sSortField = $ofld->FldExpression;
			$sLastSort = $ofld->getSort();
			if ($this->CurrentOrderType == "ASC" || $this->CurrentOrderType == "DESC") {
				$sThisSort = $this->CurrentOrderType;
			} else {
				$sThisSort = ($sLastSort == "ASC") ? "DESC" : "ASC";
			}
			$ofld->setSort($sThisSort);
			$this->setSessionOrderBy($sSortField . " " . $sThisSort); // Save to Session
		} else {
			$ofld->setSort("");
		}
	}

	// Table level SQL
	var $_SqlFrom = "";

	function getSqlFrom() { // From
		return ($this->_SqlFrom <> "") ? $this->_SqlFrom : "`seguimiento_bebe`";
	}

	function SqlFrom() { // For backward compatibility
    	return $this->getSqlFrom();
	}

	function setSqlFrom($v) {
    	$this->_SqlFrom = $v;
	}
	var $_SqlSelect = "";

	function getSqlSelect() { // Select
		return ($this->_SqlSelect <> "") ? $this->_SqlSelect : "SELECT * FROM " . $this->getSqlFrom();
	}

	function SqlSelect() { // For backward compatibility
    	return $this->getSqlSelect();
	}

	function setSqlSelect($v) {
    	$this->_SqlSelect = $v;
	}
	var $_SqlWhere = "";

	function getSqlWhere() { // Where
		$sWhere = ($this->_SqlWhere <> "") ? $this->_SqlWhere : "";
		$this->TableFilter = "";
		ew_AddFilter($sWhere, $this->TableFilter);
		return $sWhere;
	}

	function SqlWhere() { // For backward compatibility
    	return $this->getSqlWhere();
	}

	function setSqlWhere($v) {
    	$this->_SqlWhere = $v;
	}
	var $_SqlGroupBy = "";

	function getSqlGroupBy() { // Group By
		return ($this->_SqlGroupBy <> "") ? $this->_SqlGroupBy : "";
	}

	function SqlGroupBy() { // For backward compatibility
    	return $this->getSqlGroupBy();
	}

	function setSqlGroupBy($v) {
    	$this->_SqlGroupBy = $v;
	}
	var $_SqlHaving = "";

	function getSqlHaving() { // Having
		return ($this->_SqlHaving <> "") ? $this->_SqlHaving : "";
	}

	function SqlHaving() { // For backward compatibility
    	return $this->getSqlHaving();
	}

	function setSqlHaving($v) {
    	$this->_SqlHaving = $v;
	}
	var $_SqlOrderBy = "";

	function getSqlOrderBy() { // Order By
		return ($this->_SqlOrderBy <> "") ? $this->_SqlOrderBy : "";
	}

	function SqlOrderBy() { // For backward compatibility
    	return $this->getSqlOrderBy();
	}

	function setSqlOrderBy($v) {
    	$this->_SqlOrderBy = $v;
	}

	// Apply User ID filters
	function ApplyUserIDFilters($sFilter) {
		return $sFilter;
	}

	// Check if User ID security allows view all
	function UserIDAllow($id = "") {
		$allow = EW_USER_ID_ALLOW;
		switch ($id) {
			case "add":
			case "copy":
			case "gridadd":
			case "register":
			case "addopt":
				return (($allow & 1) == 1);
			case "edit":
			case "gridedit":
			case "update":
			case "changepwd":
			case "forgotpwd":
				return (($allow & 4) == 4);
			case "delete":
				return (($allow & 2) == 2);
			case "view":
				return (($allow & 32) == 32);
			case "search":
				return (($allow & 64) == 64);
			default:
				return (($allow & 8) == 8);
		}
	}

	// Get SQL
	function GetSQL($where, $orderby) {
		return ew_BuildSelectSql($this->getSqlSelect(), $this->getSqlWhere(),
			$this->getSqlGroupBy(), $this->getSqlHaving(), $this->getSqlOrderBy(),
			$where, $orderby);
	}

	// Table SQL
	function SQL() {
		$sFilter = $this->CurrentFilter;
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->getSqlSelect(), $this->getSqlWhere(),
			$this->getSqlGroupBy(), $this->getSqlHaving(), $this->getSqlOrderBy(),
			$sFilter, $sSort);
	}

	// Table SQL with List page filter
	function SelectSQL() {
		$sFilter = $this->getSessionWhere();
		ew_AddFilter($sFilter, $this->CurrentFilter);
		$sFilter = $this->ApplyUserIDFilters($sFilter);
		$this->Recordset_Selecting($sFilter);
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql($this->getSqlSelect(), $this->getSqlWhere(), $this->getSqlGroupBy(),
			$this->getSqlHaving(), $this->getSqlOrderBy(), $sFilter, $sSort);
	}

	// Get ORDER BY clause
	function GetOrderBy() {
		$sSort = $this->getSessionOrderBy();
		return ew_BuildSelectSql("", "", "", "", $this->getSqlOrderBy(), "", $sSort);
	}

	// Try to get record count
	function TryGetRecordCount($sSql) {
		$cnt = -1;
		if (($this->TableType == 'TABLE' || $this->TableType == 'VIEW' || $this->TableType == 'LINKTABLE') && preg_match("/^SELECT \* FROM/i", $sSql)) {
			$sSql = "SELECT COUNT(*) FROM" . preg_replace('/^SELECT\s([\s\S]+)?\*\sFROM/i', "", $sSql);
			$sOrderBy = $this->GetOrderBy();
			if (substr($sSql, strlen($sOrderBy) * -1) == $sOrderBy)
				$sSql = substr($sSql, 0, strlen($sSql) - strlen($sOrderBy)); // Remove ORDER BY clause
		} else {
			$sSql = "SELECT COUNT(*) FROM (" . $sSql . ") EW_COUNT_TABLE";
		}
		$conn = &$this->Connection();
		if ($rs = $conn->Execute($sSql)) {
			if (!$rs->EOF && $rs->FieldCount() > 0) {
				$cnt = $rs->fields[0];
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// Get record count based on filter (for detail record count in master table pages)
	function LoadRecordCount($sFilter) {
		$origFilter = $this->CurrentFilter;
		$this->CurrentFilter = $sFilter;
		$this->Recordset_Selecting($this->CurrentFilter);

		//$sSql = $this->SQL();
		$sSql = $this->GetSQL($this->CurrentFilter, "");
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			if ($rs = $this->LoadRs($this->CurrentFilter)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		$this->CurrentFilter = $origFilter;
		return intval($cnt);
	}

	// Get record count (for current List page)
	function SelectRecordCount() {
		$sSql = $this->SelectSQL();
		$cnt = $this->TryGetRecordCount($sSql);
		if ($cnt == -1) {
			$conn = &$this->Connection();
			if ($rs = $conn->Execute($sSql)) {
				$cnt = $rs->RecordCount();
				$rs->Close();
			}
		}
		return intval($cnt);
	}

	// INSERT statement
	function InsertSQL(&$rs) {
		$names = "";
		$values = "";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]) || $this->fields[$name]->FldIsCustom)
				continue;
			$names .= $this->fields[$name]->FldExpression . ",";
			$values .= ew_QuotedValue($value, $this->fields[$name]->FldDataType, $this->DBID) . ",";
		}
		while (substr($names, -1) == ",")
			$names = substr($names, 0, -1);
		while (substr($values, -1) == ",")
			$values = substr($values, 0, -1);
		return "INSERT INTO " . $this->UpdateTable . " ($names) VALUES ($values)";
	}

	// Insert
	function Insert(&$rs) {
		$conn = &$this->Connection();
		return $conn->Execute($this->InsertSQL($rs));
	}

	// UPDATE statement
	function UpdateSQL(&$rs, $where = "", $curfilter = TRUE) {
		$sql = "UPDATE " . $this->UpdateTable . " SET ";
		foreach ($rs as $name => $value) {
			if (!isset($this->fields[$name]) || $this->fields[$name]->FldIsCustom)
				continue;
			$sql .= $this->fields[$name]->FldExpression . "=";
			$sql .= ew_QuotedValue($value, $this->fields[$name]->FldDataType, $this->DBID) . ",";
		}
		while (substr($sql, -1) == ",")
			$sql = substr($sql, 0, -1);
		$filter = ($curfilter) ? $this->CurrentFilter : "";
		if (is_array($where))
			$where = $this->ArrayToFilter($where);
		ew_AddFilter($filter, $where);
		if ($filter <> "")	$sql .= " WHERE " . $filter;
		return $sql;
	}

	// Update
	function Update(&$rs, $where = "", $rsold = NULL, $curfilter = TRUE) {
		$conn = &$this->Connection();
		return $conn->Execute($this->UpdateSQL($rs, $where, $curfilter));
	}

	// DELETE statement
	function DeleteSQL(&$rs, $where = "", $curfilter = TRUE) {
		$sql = "DELETE FROM " . $this->UpdateTable . " WHERE ";
		if (is_array($where))
			$where = $this->ArrayToFilter($where);
		if ($rs) {
			if (array_key_exists('id', $rs))
				ew_AddFilter($where, ew_QuotedName('id', $this->DBID) . '=' . ew_QuotedValue($rs['id'], $this->id->FldDataType, $this->DBID));
		}
		$filter = ($curfilter) ? $this->CurrentFilter : "";
		ew_AddFilter($filter, $where);
		if ($filter <> "")
			$sql .= $filter;
		else
			$sql .= "0=1"; // Avoid delete
		return $sql;
	}

	// Delete
	function Delete(&$rs, $where = "", $curfilter = TRUE) {
		$conn = &$this->Connection();
		return $conn->Execute($this->DeleteSQL($rs, $where, $curfilter));
	}

	// Key filter WHERE clause
	function SqlKeyFilter() {
		return "`id` = @id@";
	}

	// Key filter
	function KeyFilter() {
		$sKeyFilter = $this->SqlKeyFilter();
		if (!is_numeric($this->id->CurrentValue))
			$sKeyFilter = "0=1"; // Invalid key
		$sKeyFilter = str_replace("@id@", ew_AdjustSql($this->id->CurrentValue, $this->DBID), $sKeyFilter); // Replace key value
		return $sKeyFilter;
	}

	// Return page URL
	function getReturnUrl() {
		$name = EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL;

		// Get referer URL automatically
		if (ew_ServerVar("HTTP_REFERER") <> "" && ew_ReferPage() <> ew_CurrentPage() && ew_ReferPage() <> "login.php") // Referer not same page or login page
			$_SESSION[$name] = ew_ServerVar("HTTP_REFERER"); // Save to Session
		if (@$_SESSION[$name] <> "") {
			return $_SESSION[$name];
		} else {
			return "seguimiento_bebelist.php";
		}
	}

	function setReturnUrl($v) {
		$_SESSION[EW_PROJECT_NAME . "_" . $this->TableVar . "_" . EW_TABLE_RETURN_URL] = $v;
	}

	// List URL
	function GetListUrl() {
		return "seguimiento_bebelist.php";
	}

	// View URL
	function GetViewUrl($parm = "") {
		if ($parm <> "")
			$url = $this->KeyUrl("seguimiento_bebeview.php", $this->UrlParm($parm));
		else
			$url = $this->KeyUrl("seguimiento_bebeview.php", $this->UrlParm(EW_TABLE_SHOW_DETAIL . "="));
		return $this->AddMasterUrl($url);
	}

	// Add URL
	function GetAddUrl($parm = "") {
		if ($parm <> "")
			$url = "seguimiento_bebeadd.php?" . $this->UrlParm($parm);
		else
			$url = "seguimiento_bebeadd.php";
		return $this->AddMasterUrl($url);
	}

	// Edit URL
	function GetEditUrl($parm = "") {
		$url = $this->KeyUrl("seguimiento_bebeedit.php", $this->UrlParm($parm));
		return $this->AddMasterUrl($url);
	}

	// Inline edit URL
	function GetInlineEditUrl() {
		$url = $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=edit"));
		return $this->AddMasterUrl($url);
	}

	// Copy URL
	function GetCopyUrl($parm = "") {
		$url = $this->KeyUrl("seguimiento_bebeadd.php", $this->UrlParm($parm));
		return $this->AddMasterUrl($url);
	}

	// Inline copy URL
	function GetInlineCopyUrl() {
		$url = $this->KeyUrl(ew_CurrentPage(), $this->UrlParm("a=copy"));
		return $this->AddMasterUrl($url);
	}

	// Delete URL
	function GetDeleteUrl() {
		return $this->KeyUrl("seguimiento_bebedelete.php", $this->UrlParm());
	}

	// Add master url
	function AddMasterUrl($url) {
		return $url;
	}

	function KeyToJson() {
		$json = "";
		$json .= "id:" . ew_VarToJson($this->id->CurrentValue, "number", "'");
		return "{" . $json . "}";
	}

	// Add key value to URL
	function KeyUrl($url, $parm = "") {
		$sUrl = $url . "?";
		if ($parm <> "") $sUrl .= $parm . "&";
		if (!is_null($this->id->CurrentValue)) {
			$sUrl .= "id=" . urlencode($this->id->CurrentValue);
		} else {
			return "javascript:ew_Alert(ewLanguage.Phrase('InvalidRecord'));";
		}
		return $sUrl;
	}

	// Sort URL
	function SortUrl(&$fld) {
		if ($this->CurrentAction <> "" || $this->Export <> "" ||
			in_array($fld->FldType, array(128, 204, 205))) { // Unsortable data type
				return "";
		} elseif ($fld->Sortable) {
			$sUrlParm = $this->UrlParm("order=" . urlencode($fld->FldName) . "&amp;ordertype=" . $fld->ReverseSort());
			return ew_CurrentPage() . "?" . $sUrlParm;
		} else {
			return "";
		}
	}

	// Get record keys from $_POST/$_GET/$_SESSION
	function GetRecordKeys() {
		global $EW_COMPOSITE_KEY_SEPARATOR;
		$arKeys = array();
		$arKey = array();
		if (isset($_POST["key_m"])) {
			$arKeys = ew_StripSlashes($_POST["key_m"]);
			$cnt = count($arKeys);
		} elseif (isset($_GET["key_m"])) {
			$arKeys = ew_StripSlashes($_GET["key_m"]);
			$cnt = count($arKeys);
		} elseif (!empty($_GET) || !empty($_POST)) {
			$isPost = ew_IsHttpPost();
			if ($isPost && isset($_POST["id"]))
				$arKeys[] = ew_StripSlashes($_POST["id"]);
			elseif (isset($_GET["id"]))
				$arKeys[] = ew_StripSlashes($_GET["id"]);
			else
				$arKeys = NULL; // Do not setup

			//return $arKeys; // Do not return yet, so the values will also be checked by the following code
		}

		// Check keys
		$ar = array();
		if (is_array($arKeys)) {
			foreach ($arKeys as $key) {
				if (!is_numeric($key))
					continue;
				$ar[] = $key;
			}
		}
		return $ar;
	}

	// Get key filter
	function GetKeyFilter() {
		$arKeys = $this->GetRecordKeys();
		$sKeyFilter = "";
		foreach ($arKeys as $key) {
			if ($sKeyFilter <> "") $sKeyFilter .= " OR ";
			$this->id->CurrentValue = $key;
			$sKeyFilter .= "(" . $this->KeyFilter() . ")";
		}
		return $sKeyFilter;
	}

	// Load rows based on filter
	function &LoadRs($sFilter) {

		// Set up filter (SQL WHERE clause) and get return SQL
		//$this->CurrentFilter = $sFilter;
		//$sSql = $this->SQL();

		$sSql = $this->GetSQL($sFilter, "");
		$conn = &$this->Connection();
		$rs = $conn->Execute($sSql);
		return $rs;
	}

	// Load row values from recordset
	function LoadListRowValues(&$rs) {
		$this->id->setDbValue($rs->fields('id'));
		$this->Id_Registro_Madre->setDbValue($rs->fields('Id_Registro_Madre'));
		$this->Primer_Nombre->setDbValue($rs->fields('Primer_Nombre'));
		$this->Segundo_Nombre->setDbValue($rs->fields('Segundo_Nombre'));
		$this->Primer_Apellido->setDbValue($rs->fields('Primer_Apellido'));
		$this->Segundo_Apellido->setDbValue($rs->fields('Segundo_Apellido'));
		$this->Registro_Civil->setDbValue($rs->fields('Registro_Civil'));
		$this->Sexo->setDbValue($rs->fields('Sexo'));
		$this->Fecha_Nacimiento->setDbValue($rs->fields('Fecha_Nacimiento'));
		$this->Peso_Gramos->setDbValue($rs->fields('Peso_Gramos'));
		$this->Recibio_Tratamiento_Profilactico->setDbValue($rs->fields('Recibio_Tratamiento_Profilactico'));
		$this->Esquema_Tratamiento->setDbValue($rs->fields('Esquema_Tratamiento'));
		$this->Otro->setDbValue($rs->fields('Otro'));
		$this->Tipo_Tratamiento_Bebe->setDbValue($rs->fields('Tipo_Tratamiento_Bebe'));
		$this->No_Primera_Carga_Viral->setDbValue($rs->fields('No_Primera_Carga_Viral'));
		$this->Fecha_Primera_Cviral->setDbValue($rs->fields('Fecha_Primera_Cviral'));
		$this->Edad_Primer_Cviral_Dias->setDbValue($rs->fields('Edad_Primer_Cviral_Dias'));
		$this->Segunda_Carga_Viral->setDbValue($rs->fields('Segunda_Carga_Viral'));
		$this->No_Segunda_Carga_Viral_Bebe->setDbValue($rs->fields('No_Segunda_Carga_Viral_Bebe'));
		$this->Fecha_Segunda_Carga_Viral->setDbValue($rs->fields('Fecha_Segunda_Carga_Viral'));
		$this->Edad_Segunda_Carga_Viral_Dias->setDbValue($rs->fields('Edad_Segunda_Carga_Viral_Dias'));
		$this->Resultado_Tamizaje_M18->setDbValue($rs->fields('Resultado_Tamizaje_M18'));
		$this->Fecha_Tamizaje->setDbValue($rs->fields('Fecha_Tamizaje'));
		$this->Ultima_Cargaviral->setDbValue($rs->fields('Ultima_Cargaviral'));
		$this->Fecha_Ultima_Carga_viral->setDbValue($rs->fields('Fecha_Ultima_Carga_viral'));
		$this->Formula_Lactea->setDbValue($rs->fields('Formula_Lactea'));
		$this->Edad_Dias_Bebe->setDbValue($rs->fields('Edad_Dias_Bebe'));
		$this->Clasificacion_Final_bebe->setDbValue($rs->fields('Clasificacion_Final_bebe'));
		$this->Observaciones->setDbValue($rs->fields('Observaciones'));
		$this->Registrado_Por->setDbValue($rs->fields('Registrado_Por'));
	}

	// Render list row values
	function RenderListRow() {
		global $Security, $gsLanguage, $Language;

		// Call Row Rendering event
		$this->Row_Rendering();

   // Common render codes
		// id
		// Id_Registro_Madre

		$this->Id_Registro_Madre->CellCssStyle = "white-space: nowrap;";

		// Primer_Nombre
		// Segundo_Nombre
		// Primer_Apellido
		// Segundo_Apellido
		// Registro_Civil
		// Sexo
		// Fecha_Nacimiento
		// Peso_Gramos
		// Recibio_Tratamiento_Profilactico
		// Esquema_Tratamiento
		// Otro
		// Tipo_Tratamiento_Bebe
		// No_Primera_Carga_Viral
		// Fecha_Primera_Cviral
		// Edad_Primer_Cviral_Dias
		// Segunda_Carga_Viral
		// No_Segunda_Carga_Viral_Bebe
		// Fecha_Segunda_Carga_Viral
		// Edad_Segunda_Carga_Viral_Dias
		// Resultado_Tamizaje_M18
		// Fecha_Tamizaje
		// Ultima_Cargaviral
		// Fecha_Ultima_Carga_viral
		// Formula_Lactea
		// Edad_Dias_Bebe
		// Clasificacion_Final_bebe
		// Observaciones
		// Registrado_Por
		// id

		$this->id->ViewValue = $this->id->CurrentValue;
		$this->id->ViewCustomAttributes = "";

		// Id_Registro_Madre
		$this->Id_Registro_Madre->ViewValue = $this->Id_Registro_Madre->CurrentValue;
		$this->Id_Registro_Madre->ViewCustomAttributes = "";

		// Primer_Nombre
		$this->Primer_Nombre->ViewValue = $this->Primer_Nombre->CurrentValue;
		$this->Primer_Nombre->ViewCustomAttributes = "";

		// Segundo_Nombre
		$this->Segundo_Nombre->ViewValue = $this->Segundo_Nombre->CurrentValue;
		$this->Segundo_Nombre->ViewCustomAttributes = "";

		// Primer_Apellido
		$this->Primer_Apellido->ViewValue = $this->Primer_Apellido->CurrentValue;
		$this->Primer_Apellido->ViewCustomAttributes = "";

		// Segundo_Apellido
		$this->Segundo_Apellido->ViewValue = $this->Segundo_Apellido->CurrentValue;
		$this->Segundo_Apellido->ViewCustomAttributes = "";

		// Registro_Civil
		$this->Registro_Civil->ViewValue = $this->Registro_Civil->CurrentValue;
		$this->Registro_Civil->ViewCustomAttributes = "";

		// Sexo
		if (strval($this->Sexo->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Sexo->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Sexo` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `sexo`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Sexo, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Sexo->ViewValue = $this->Sexo->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Sexo->ViewValue = $this->Sexo->CurrentValue;
			}
		} else {
			$this->Sexo->ViewValue = NULL;
		}
		$this->Sexo->ViewCustomAttributes = "";

		// Fecha_Nacimiento
		$this->Fecha_Nacimiento->ViewValue = $this->Fecha_Nacimiento->CurrentValue;
		$this->Fecha_Nacimiento->ViewValue = ew_FormatDateTime($this->Fecha_Nacimiento->ViewValue, 5);
		$this->Fecha_Nacimiento->ViewCustomAttributes = "";

		// Peso_Gramos
		$this->Peso_Gramos->ViewValue = $this->Peso_Gramos->CurrentValue;
		$this->Peso_Gramos->ViewCustomAttributes = "";

		// Recibio_Tratamiento_Profilactico
		if (strval($this->Recibio_Tratamiento_Profilactico->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Recibio_Tratamiento_Profilactico->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Recibio_Tratamiento_Profilactico, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Recibio_Tratamiento_Profilactico->ViewValue = $this->Recibio_Tratamiento_Profilactico->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Recibio_Tratamiento_Profilactico->ViewValue = $this->Recibio_Tratamiento_Profilactico->CurrentValue;
			}
		} else {
			$this->Recibio_Tratamiento_Profilactico->ViewValue = NULL;
		}
		$this->Recibio_Tratamiento_Profilactico->ViewCustomAttributes = "";

		// Esquema_Tratamiento
		if (strval($this->Esquema_Tratamiento->CurrentValue) <> "") {
			$arwrk = explode(",", $this->Esquema_Tratamiento->CurrentValue);
			$sFilterWrk = "";
			foreach ($arwrk as $wrk) {
				if ($sFilterWrk <> "") $sFilterWrk .= " OR ";
				$sFilterWrk .= "`id`" . ew_SearchString("=", trim($wrk), EW_DATATYPE_NUMBER, "");
			}
		$sSqlWrk = "SELECT `id`, `Esquema` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `esquema_bebe`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Esquema_Tratamiento, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$this->Esquema_Tratamiento->ViewValue = "";
				$ari = 0;
				while (!$rswrk->EOF) {
					$arwrk = array();
					$arwrk[1] = $rswrk->fields('DispFld');
					$this->Esquema_Tratamiento->ViewValue .= $this->Esquema_Tratamiento->DisplayValue($arwrk);
					$rswrk->MoveNext();
					if (!$rswrk->EOF) $this->Esquema_Tratamiento->ViewValue .= ew_ViewOptionSeparator($ari); // Separate Options
					$ari++;
				}
				$rswrk->Close();
			} else {
				$this->Esquema_Tratamiento->ViewValue = $this->Esquema_Tratamiento->CurrentValue;
			}
		} else {
			$this->Esquema_Tratamiento->ViewValue = NULL;
		}
		$this->Esquema_Tratamiento->ViewCustomAttributes = "";

		// Otro
		$this->Otro->ViewValue = $this->Otro->CurrentValue;
		$this->Otro->ViewCustomAttributes = "";

		// Tipo_Tratamiento_Bebe
		if (strval($this->Tipo_Tratamiento_Bebe->CurrentValue) <> "") {
			$sFilterWrk = "`id`" . ew_SearchString("=", $this->Tipo_Tratamiento_Bebe->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `id`, `Tipo_Tratamiento_Bebe` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `tipo_tratamiento_bebe`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Tipo_Tratamiento_Bebe, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Tipo_Tratamiento_Bebe->ViewValue = $this->Tipo_Tratamiento_Bebe->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Tipo_Tratamiento_Bebe->ViewValue = $this->Tipo_Tratamiento_Bebe->CurrentValue;
			}
		} else {
			$this->Tipo_Tratamiento_Bebe->ViewValue = NULL;
		}
		$this->Tipo_Tratamiento_Bebe->ViewCustomAttributes = "";

		// No_Primera_Carga_Viral
		if (strval($this->No_Primera_Carga_Viral->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->No_Primera_Carga_Viral->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->No_Primera_Carga_Viral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->No_Primera_Carga_Viral->ViewValue = $this->No_Primera_Carga_Viral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->No_Primera_Carga_Viral->ViewValue = $this->No_Primera_Carga_Viral->CurrentValue;
			}
		} else {
			$this->No_Primera_Carga_Viral->ViewValue = NULL;
		}
		$this->No_Primera_Carga_Viral->ViewCustomAttributes = "";

		// Fecha_Primera_Cviral
		$this->Fecha_Primera_Cviral->ViewValue = $this->Fecha_Primera_Cviral->CurrentValue;
		$this->Fecha_Primera_Cviral->ViewValue = ew_FormatDateTime($this->Fecha_Primera_Cviral->ViewValue, 5);
		$this->Fecha_Primera_Cviral->ViewCustomAttributes = "";

		// Edad_Primer_Cviral_Dias
		$this->Edad_Primer_Cviral_Dias->ViewValue = $this->Edad_Primer_Cviral_Dias->CurrentValue;
		$this->Edad_Primer_Cviral_Dias->ViewCustomAttributes = "";

		// Segunda_Carga_Viral
		if (strval($this->Segunda_Carga_Viral->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Segunda_Carga_Viral->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Segunda_Carga_Viral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Segunda_Carga_Viral->ViewValue = $this->Segunda_Carga_Viral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Segunda_Carga_Viral->ViewValue = $this->Segunda_Carga_Viral->CurrentValue;
			}
		} else {
			$this->Segunda_Carga_Viral->ViewValue = NULL;
		}
		$this->Segunda_Carga_Viral->ViewCustomAttributes = "";

		// No_Segunda_Carga_Viral_Bebe
		if (strval($this->No_Segunda_Carga_Viral_Bebe->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->No_Segunda_Carga_Viral_Bebe->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->No_Segunda_Carga_Viral_Bebe, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->No_Segunda_Carga_Viral_Bebe->ViewValue = $this->No_Segunda_Carga_Viral_Bebe->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->No_Segunda_Carga_Viral_Bebe->ViewValue = $this->No_Segunda_Carga_Viral_Bebe->CurrentValue;
			}
		} else {
			$this->No_Segunda_Carga_Viral_Bebe->ViewValue = NULL;
		}
		$this->No_Segunda_Carga_Viral_Bebe->ViewCustomAttributes = "";

		// Fecha_Segunda_Carga_Viral
		$this->Fecha_Segunda_Carga_Viral->ViewValue = $this->Fecha_Segunda_Carga_Viral->CurrentValue;
		$this->Fecha_Segunda_Carga_Viral->ViewValue = ew_FormatDateTime($this->Fecha_Segunda_Carga_Viral->ViewValue, 5);
		$this->Fecha_Segunda_Carga_Viral->ViewCustomAttributes = "";

		// Edad_Segunda_Carga_Viral_Dias
		$this->Edad_Segunda_Carga_Viral_Dias->ViewValue = $this->Edad_Segunda_Carga_Viral_Dias->CurrentValue;
		$this->Edad_Segunda_Carga_Viral_Dias->ViewCustomAttributes = "";

		// Resultado_Tamizaje_M18
		if (strval($this->Resultado_Tamizaje_M18->CurrentValue) <> "") {
			$this->Resultado_Tamizaje_M18->ViewValue = $this->Resultado_Tamizaje_M18->OptionCaption($this->Resultado_Tamizaje_M18->CurrentValue);
		} else {
			$this->Resultado_Tamizaje_M18->ViewValue = NULL;
		}
		$this->Resultado_Tamizaje_M18->ViewCustomAttributes = "";

		// Fecha_Tamizaje
		$this->Fecha_Tamizaje->ViewValue = $this->Fecha_Tamizaje->CurrentValue;
		$this->Fecha_Tamizaje->ViewValue = ew_FormatDateTime($this->Fecha_Tamizaje->ViewValue, 5);
		$this->Fecha_Tamizaje->ViewCustomAttributes = "";

		// Ultima_Cargaviral
		$this->Ultima_Cargaviral->ViewValue = $this->Ultima_Cargaviral->CurrentValue;
		if (strval($this->Ultima_Cargaviral->CurrentValue) <> "") {
			$sFilterWrk = "`Carga_viral`" . ew_SearchString("=", $this->Ultima_Cargaviral->CurrentValue, EW_DATATYPE_STRING, "");
		$sSqlWrk = "SELECT `Carga_viral`, `Carga_viral` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `carga_viral`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Ultima_Cargaviral, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Ultima_Cargaviral->ViewValue = $this->Ultima_Cargaviral->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Ultima_Cargaviral->ViewValue = $this->Ultima_Cargaviral->CurrentValue;
			}
		} else {
			$this->Ultima_Cargaviral->ViewValue = NULL;
		}
		$this->Ultima_Cargaviral->ViewCustomAttributes = "";

		// Fecha_Ultima_Carga_viral
		$this->Fecha_Ultima_Carga_viral->ViewValue = $this->Fecha_Ultima_Carga_viral->CurrentValue;
		$this->Fecha_Ultima_Carga_viral->ViewValue = ew_FormatDateTime($this->Fecha_Ultima_Carga_viral->ViewValue, 5);
		$this->Fecha_Ultima_Carga_viral->ViewCustomAttributes = "";

		// Formula_Lactea
		if (strval($this->Formula_Lactea->CurrentValue) <> "") {
			$sFilterWrk = "`Consecutivo`" . ew_SearchString("=", $this->Formula_Lactea->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `Consecutivo`, `Si_No` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `si_no`";
		$sWhereWrk = "";
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->Formula_Lactea, $sWhereWrk); // Call Lookup selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->Formula_Lactea->ViewValue = $this->Formula_Lactea->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->Formula_Lactea->ViewValue = $this->Formula_Lactea->CurrentValue;
			}
		} else {
			$this->Formula_Lactea->ViewValue = NULL;
		}
		$this->Formula_Lactea->ViewCustomAttributes = "";

		// Edad_Dias_Bebe
		$this->Edad_Dias_Bebe->ViewValue = $this->Edad_Dias_Bebe->CurrentValue;
		$this->Edad_Dias_Bebe->ViewCustomAttributes = "";

		// Clasificacion_Final_bebe
		if (strval($this->Clasificacion_Final_bebe->CurrentValue) <> "") {
			$this->Clasificacion_Final_bebe->ViewValue = $this->Clasificacion_Final_bebe->OptionCaption($this->Clasificacion_Final_bebe->CurrentValue);
		} else {
			$this->Clasificacion_Final_bebe->ViewValue = NULL;
		}
		$this->Clasificacion_Final_bebe->ViewCustomAttributes = "";

		// Observaciones
		$this->Observaciones->ViewValue = $this->Observaciones->CurrentValue;
		$this->Observaciones->ViewCustomAttributes = "";

		// Registrado_Por
		$this->Registrado_Por->ViewValue = $this->Registrado_Por->CurrentValue;
		$this->Registrado_Por->ViewCustomAttributes = "";

		// id
		$this->id->LinkCustomAttributes = "";
		$this->id->HrefValue = "";
		$this->id->TooltipValue = "";

		// Id_Registro_Madre
		$this->Id_Registro_Madre->LinkCustomAttributes = "";
		$this->Id_Registro_Madre->HrefValue = "";
		$this->Id_Registro_Madre->TooltipValue = "";

		// Primer_Nombre
		$this->Primer_Nombre->LinkCustomAttributes = "";
		$this->Primer_Nombre->HrefValue = "";
		$this->Primer_Nombre->TooltipValue = "";

		// Segundo_Nombre
		$this->Segundo_Nombre->LinkCustomAttributes = "";
		$this->Segundo_Nombre->HrefValue = "";
		$this->Segundo_Nombre->TooltipValue = "";

		// Primer_Apellido
		$this->Primer_Apellido->LinkCustomAttributes = "";
		$this->Primer_Apellido->HrefValue = "";
		$this->Primer_Apellido->TooltipValue = "";

		// Segundo_Apellido
		$this->Segundo_Apellido->LinkCustomAttributes = "";
		$this->Segundo_Apellido->HrefValue = "";
		$this->Segundo_Apellido->TooltipValue = "";

		// Registro_Civil
		$this->Registro_Civil->LinkCustomAttributes = "";
		$this->Registro_Civil->HrefValue = "";
		$this->Registro_Civil->TooltipValue = "";

		// Sexo
		$this->Sexo->LinkCustomAttributes = "";
		$this->Sexo->HrefValue = "";
		$this->Sexo->TooltipValue = "";

		// Fecha_Nacimiento
		$this->Fecha_Nacimiento->LinkCustomAttributes = "";
		$this->Fecha_Nacimiento->HrefValue = "";
		$this->Fecha_Nacimiento->TooltipValue = "";

		// Peso_Gramos
		$this->Peso_Gramos->LinkCustomAttributes = "";
		$this->Peso_Gramos->HrefValue = "";
		$this->Peso_Gramos->TooltipValue = "";

		// Recibio_Tratamiento_Profilactico
		$this->Recibio_Tratamiento_Profilactico->LinkCustomAttributes = "";
		$this->Recibio_Tratamiento_Profilactico->HrefValue = "";
		$this->Recibio_Tratamiento_Profilactico->TooltipValue = "";

		// Esquema_Tratamiento
		$this->Esquema_Tratamiento->LinkCustomAttributes = "";
		$this->Esquema_Tratamiento->HrefValue = "";
		$this->Esquema_Tratamiento->TooltipValue = "";

		// Otro
		$this->Otro->LinkCustomAttributes = "";
		$this->Otro->HrefValue = "";
		$this->Otro->TooltipValue = "";

		// Tipo_Tratamiento_Bebe
		$this->Tipo_Tratamiento_Bebe->LinkCustomAttributes = "";
		$this->Tipo_Tratamiento_Bebe->HrefValue = "";
		$this->Tipo_Tratamiento_Bebe->TooltipValue = "";

		// No_Primera_Carga_Viral
		$this->No_Primera_Carga_Viral->LinkCustomAttributes = "";
		$this->No_Primera_Carga_Viral->HrefValue = "";
		$this->No_Primera_Carga_Viral->TooltipValue = "";

		// Fecha_Primera_Cviral
		$this->Fecha_Primera_Cviral->LinkCustomAttributes = "";
		$this->Fecha_Primera_Cviral->HrefValue = "";
		$this->Fecha_Primera_Cviral->TooltipValue = "";

		// Edad_Primer_Cviral_Dias
		$this->Edad_Primer_Cviral_Dias->LinkCustomAttributes = "";
		$this->Edad_Primer_Cviral_Dias->HrefValue = "";
		$this->Edad_Primer_Cviral_Dias->TooltipValue = "";

		// Segunda_Carga_Viral
		$this->Segunda_Carga_Viral->LinkCustomAttributes = "";
		$this->Segunda_Carga_Viral->HrefValue = "";
		$this->Segunda_Carga_Viral->TooltipValue = "";

		// No_Segunda_Carga_Viral_Bebe
		$this->No_Segunda_Carga_Viral_Bebe->LinkCustomAttributes = "";
		$this->No_Segunda_Carga_Viral_Bebe->HrefValue = "";
		$this->No_Segunda_Carga_Viral_Bebe->TooltipValue = "";

		// Fecha_Segunda_Carga_Viral
		$this->Fecha_Segunda_Carga_Viral->LinkCustomAttributes = "";
		$this->Fecha_Segunda_Carga_Viral->HrefValue = "";
		$this->Fecha_Segunda_Carga_Viral->TooltipValue = "";

		// Edad_Segunda_Carga_Viral_Dias
		$this->Edad_Segunda_Carga_Viral_Dias->LinkCustomAttributes = "";
		$this->Edad_Segunda_Carga_Viral_Dias->HrefValue = "";
		$this->Edad_Segunda_Carga_Viral_Dias->TooltipValue = "";

		// Resultado_Tamizaje_M18
		$this->Resultado_Tamizaje_M18->LinkCustomAttributes = "";
		$this->Resultado_Tamizaje_M18->HrefValue = "";
		$this->Resultado_Tamizaje_M18->TooltipValue = "";

		// Fecha_Tamizaje
		$this->Fecha_Tamizaje->LinkCustomAttributes = "";
		$this->Fecha_Tamizaje->HrefValue = "";
		$this->Fecha_Tamizaje->TooltipValue = "";

		// Ultima_Cargaviral
		$this->Ultima_Cargaviral->LinkCustomAttributes = "";
		$this->Ultima_Cargaviral->HrefValue = "";
		$this->Ultima_Cargaviral->TooltipValue = "";

		// Fecha_Ultima_Carga_viral
		$this->Fecha_Ultima_Carga_viral->LinkCustomAttributes = "";
		$this->Fecha_Ultima_Carga_viral->HrefValue = "";
		$this->Fecha_Ultima_Carga_viral->TooltipValue = "";

		// Formula_Lactea
		$this->Formula_Lactea->LinkCustomAttributes = "";
		$this->Formula_Lactea->HrefValue = "";
		$this->Formula_Lactea->TooltipValue = "";

		// Edad_Dias_Bebe
		$this->Edad_Dias_Bebe->LinkCustomAttributes = "";
		$this->Edad_Dias_Bebe->HrefValue = "";
		$this->Edad_Dias_Bebe->TooltipValue = "";

		// Clasificacion_Final_bebe
		$this->Clasificacion_Final_bebe->LinkCustomAttributes = "";
		$this->Clasificacion_Final_bebe->HrefValue = "";
		$this->Clasificacion_Final_bebe->TooltipValue = "";

		// Observaciones
		$this->Observaciones->LinkCustomAttributes = "";
		$this->Observaciones->HrefValue = "";
		$this->Observaciones->TooltipValue = "";

		// Registrado_Por
		$this->Registrado_Por->LinkCustomAttributes = "";
		$this->Registrado_Por->HrefValue = "";
		$this->Registrado_Por->TooltipValue = "";

		// Call Row Rendered event
		$this->Row_Rendered();
	}

	// Render edit row values
	function RenderEditRow() {
		global $Security, $gsLanguage, $Language;

		// Call Row Rendering event
		$this->Row_Rendering();

		// id
		$this->id->EditAttrs["class"] = "form-control";
		$this->id->EditCustomAttributes = "";
		$this->id->EditValue = $this->id->CurrentValue;
		$this->id->ViewCustomAttributes = "";

		// Id_Registro_Madre
		$this->Id_Registro_Madre->EditAttrs["class"] = "form-control";
		$this->Id_Registro_Madre->EditCustomAttributes = "";
		$this->Id_Registro_Madre->EditValue = $this->Id_Registro_Madre->CurrentValue;
		$this->Id_Registro_Madre->PlaceHolder = ew_RemoveHtml($this->Id_Registro_Madre->FldCaption());

		// Primer_Nombre
		$this->Primer_Nombre->EditAttrs["class"] = "form-control";
		$this->Primer_Nombre->EditCustomAttributes = "";
		$this->Primer_Nombre->EditValue = $this->Primer_Nombre->CurrentValue;
		$this->Primer_Nombre->PlaceHolder = ew_RemoveHtml($this->Primer_Nombre->FldCaption());

		// Segundo_Nombre
		$this->Segundo_Nombre->EditAttrs["class"] = "form-control";
		$this->Segundo_Nombre->EditCustomAttributes = "";
		$this->Segundo_Nombre->EditValue = $this->Segundo_Nombre->CurrentValue;
		$this->Segundo_Nombre->PlaceHolder = ew_RemoveHtml($this->Segundo_Nombre->FldCaption());

		// Primer_Apellido
		$this->Primer_Apellido->EditAttrs["class"] = "form-control";
		$this->Primer_Apellido->EditCustomAttributes = "";
		$this->Primer_Apellido->EditValue = $this->Primer_Apellido->CurrentValue;
		$this->Primer_Apellido->PlaceHolder = ew_RemoveHtml($this->Primer_Apellido->FldCaption());

		// Segundo_Apellido
		$this->Segundo_Apellido->EditAttrs["class"] = "form-control";
		$this->Segundo_Apellido->EditCustomAttributes = "";
		$this->Segundo_Apellido->EditValue = $this->Segundo_Apellido->CurrentValue;
		$this->Segundo_Apellido->PlaceHolder = ew_RemoveHtml($this->Segundo_Apellido->FldCaption());

		// Registro_Civil
		$this->Registro_Civil->EditAttrs["class"] = "form-control";
		$this->Registro_Civil->EditCustomAttributes = "";
		$this->Registro_Civil->EditValue = $this->Registro_Civil->CurrentValue;
		$this->Registro_Civil->PlaceHolder = ew_RemoveHtml($this->Registro_Civil->FldCaption());

		// Sexo
		$this->Sexo->EditCustomAttributes = "";

		// Fecha_Nacimiento
		$this->Fecha_Nacimiento->EditAttrs["class"] = "form-control";
		$this->Fecha_Nacimiento->EditCustomAttributes = "";
		$this->Fecha_Nacimiento->EditValue = ew_FormatDateTime($this->Fecha_Nacimiento->CurrentValue, 5);
		$this->Fecha_Nacimiento->PlaceHolder = ew_RemoveHtml($this->Fecha_Nacimiento->FldCaption());

		// Peso_Gramos
		$this->Peso_Gramos->EditAttrs["class"] = "form-control";
		$this->Peso_Gramos->EditCustomAttributes = "";
		$this->Peso_Gramos->EditValue = $this->Peso_Gramos->CurrentValue;
		$this->Peso_Gramos->PlaceHolder = ew_RemoveHtml($this->Peso_Gramos->FldCaption());

		// Recibio_Tratamiento_Profilactico
		$this->Recibio_Tratamiento_Profilactico->EditCustomAttributes = "";

		// Esquema_Tratamiento
		$this->Esquema_Tratamiento->EditCustomAttributes = "";

		// Otro
		$this->Otro->EditAttrs["class"] = "form-control";
		$this->Otro->EditCustomAttributes = "";
		$this->Otro->EditValue = $this->Otro->CurrentValue;
		$this->Otro->PlaceHolder = ew_RemoveHtml($this->Otro->FldCaption());

		// Tipo_Tratamiento_Bebe
		$this->Tipo_Tratamiento_Bebe->EditCustomAttributes = "";

		// No_Primera_Carga_Viral
		$this->No_Primera_Carga_Viral->EditAttrs["class"] = "form-control";
		$this->No_Primera_Carga_Viral->EditCustomAttributes = "";

		// Fecha_Primera_Cviral
		$this->Fecha_Primera_Cviral->EditAttrs["class"] = "form-control";
		$this->Fecha_Primera_Cviral->EditCustomAttributes = "";
		$this->Fecha_Primera_Cviral->EditValue = ew_FormatDateTime($this->Fecha_Primera_Cviral->CurrentValue, 5);
		$this->Fecha_Primera_Cviral->PlaceHolder = ew_RemoveHtml($this->Fecha_Primera_Cviral->FldCaption());

		// Edad_Primer_Cviral_Dias
		$this->Edad_Primer_Cviral_Dias->EditAttrs["class"] = "form-control";
		$this->Edad_Primer_Cviral_Dias->EditCustomAttributes = "";
		$this->Edad_Primer_Cviral_Dias->EditValue = $this->Edad_Primer_Cviral_Dias->CurrentValue;
		$this->Edad_Primer_Cviral_Dias->PlaceHolder = ew_RemoveHtml($this->Edad_Primer_Cviral_Dias->FldCaption());

		// Segunda_Carga_Viral
		$this->Segunda_Carga_Viral->EditCustomAttributes = "";

		// No_Segunda_Carga_Viral_Bebe
		$this->No_Segunda_Carga_Viral_Bebe->EditAttrs["class"] = "form-control";
		$this->No_Segunda_Carga_Viral_Bebe->EditCustomAttributes = "";

		// Fecha_Segunda_Carga_Viral
		$this->Fecha_Segunda_Carga_Viral->EditAttrs["class"] = "form-control";
		$this->Fecha_Segunda_Carga_Viral->EditCustomAttributes = "";
		$this->Fecha_Segunda_Carga_Viral->EditValue = ew_FormatDateTime($this->Fecha_Segunda_Carga_Viral->CurrentValue, 5);
		$this->Fecha_Segunda_Carga_Viral->PlaceHolder = ew_RemoveHtml($this->Fecha_Segunda_Carga_Viral->FldCaption());

		// Edad_Segunda_Carga_Viral_Dias
		$this->Edad_Segunda_Carga_Viral_Dias->EditAttrs["class"] = "form-control";
		$this->Edad_Segunda_Carga_Viral_Dias->EditCustomAttributes = "";
		$this->Edad_Segunda_Carga_Viral_Dias->EditValue = $this->Edad_Segunda_Carga_Viral_Dias->CurrentValue;
		$this->Edad_Segunda_Carga_Viral_Dias->PlaceHolder = ew_RemoveHtml($this->Edad_Segunda_Carga_Viral_Dias->FldCaption());

		// Resultado_Tamizaje_M18
		$this->Resultado_Tamizaje_M18->EditCustomAttributes = "";
		$this->Resultado_Tamizaje_M18->EditValue = $this->Resultado_Tamizaje_M18->Options(FALSE);

		// Fecha_Tamizaje
		$this->Fecha_Tamizaje->EditAttrs["class"] = "form-control";
		$this->Fecha_Tamizaje->EditCustomAttributes = "";
		$this->Fecha_Tamizaje->EditValue = ew_FormatDateTime($this->Fecha_Tamizaje->CurrentValue, 5);
		$this->Fecha_Tamizaje->PlaceHolder = ew_RemoveHtml($this->Fecha_Tamizaje->FldCaption());

		// Ultima_Cargaviral
		$this->Ultima_Cargaviral->EditAttrs["class"] = "form-control";
		$this->Ultima_Cargaviral->EditCustomAttributes = "";
		$this->Ultima_Cargaviral->EditValue = $this->Ultima_Cargaviral->CurrentValue;
		$this->Ultima_Cargaviral->PlaceHolder = ew_RemoveHtml($this->Ultima_Cargaviral->FldCaption());

		// Fecha_Ultima_Carga_viral
		$this->Fecha_Ultima_Carga_viral->EditAttrs["class"] = "form-control";
		$this->Fecha_Ultima_Carga_viral->EditCustomAttributes = "";
		$this->Fecha_Ultima_Carga_viral->EditValue = ew_FormatDateTime($this->Fecha_Ultima_Carga_viral->CurrentValue, 5);
		$this->Fecha_Ultima_Carga_viral->PlaceHolder = ew_RemoveHtml($this->Fecha_Ultima_Carga_viral->FldCaption());

		// Formula_Lactea
		$this->Formula_Lactea->EditCustomAttributes = "";

		// Edad_Dias_Bebe
		$this->Edad_Dias_Bebe->EditAttrs["class"] = "form-control";
		$this->Edad_Dias_Bebe->EditCustomAttributes = "";
		$this->Edad_Dias_Bebe->EditValue = $this->Edad_Dias_Bebe->CurrentValue;
		$this->Edad_Dias_Bebe->PlaceHolder = ew_RemoveHtml($this->Edad_Dias_Bebe->FldCaption());

		// Clasificacion_Final_bebe
		$this->Clasificacion_Final_bebe->EditCustomAttributes = "";
		$this->Clasificacion_Final_bebe->EditValue = $this->Clasificacion_Final_bebe->Options(FALSE);

		// Observaciones
		$this->Observaciones->EditAttrs["class"] = "form-control";
		$this->Observaciones->EditCustomAttributes = "";
		$this->Observaciones->EditValue = $this->Observaciones->CurrentValue;
		$this->Observaciones->PlaceHolder = ew_RemoveHtml($this->Observaciones->FldCaption());

		// Registrado_Por
		// Call Row Rendered event

		$this->Row_Rendered();
	}

	// Aggregate list row values
	function AggregateListRowValues() {
	}

	// Aggregate list row (for rendering)
	function AggregateListRow() {

		// Call Row Rendered event
		$this->Row_Rendered();
	}
	var $ExportDoc;

	// Export data in HTML/CSV/Word/Excel/Email/PDF format
	function ExportDocument(&$Doc, &$Recordset, $StartRec, $StopRec, $ExportPageType = "") {
		if (!$Recordset || !$Doc)
			return;
		if (!$Doc->ExportCustom) {

			// Write header
			$Doc->ExportTableHeader();
			if ($Doc->Horizontal) { // Horizontal format, write header
				$Doc->BeginExportRow();
				if ($ExportPageType == "view") {
					if ($this->id->Exportable) $Doc->ExportCaption($this->id);
					if ($this->Primer_Nombre->Exportable) $Doc->ExportCaption($this->Primer_Nombre);
					if ($this->Segundo_Nombre->Exportable) $Doc->ExportCaption($this->Segundo_Nombre);
					if ($this->Primer_Apellido->Exportable) $Doc->ExportCaption($this->Primer_Apellido);
					if ($this->Segundo_Apellido->Exportable) $Doc->ExportCaption($this->Segundo_Apellido);
					if ($this->Registro_Civil->Exportable) $Doc->ExportCaption($this->Registro_Civil);
					if ($this->Sexo->Exportable) $Doc->ExportCaption($this->Sexo);
					if ($this->Fecha_Nacimiento->Exportable) $Doc->ExportCaption($this->Fecha_Nacimiento);
					if ($this->Peso_Gramos->Exportable) $Doc->ExportCaption($this->Peso_Gramos);
					if ($this->Recibio_Tratamiento_Profilactico->Exportable) $Doc->ExportCaption($this->Recibio_Tratamiento_Profilactico);
					if ($this->Esquema_Tratamiento->Exportable) $Doc->ExportCaption($this->Esquema_Tratamiento);
					if ($this->Otro->Exportable) $Doc->ExportCaption($this->Otro);
					if ($this->Tipo_Tratamiento_Bebe->Exportable) $Doc->ExportCaption($this->Tipo_Tratamiento_Bebe);
					if ($this->No_Primera_Carga_Viral->Exportable) $Doc->ExportCaption($this->No_Primera_Carga_Viral);
					if ($this->Fecha_Primera_Cviral->Exportable) $Doc->ExportCaption($this->Fecha_Primera_Cviral);
					if ($this->Edad_Primer_Cviral_Dias->Exportable) $Doc->ExportCaption($this->Edad_Primer_Cviral_Dias);
					if ($this->Segunda_Carga_Viral->Exportable) $Doc->ExportCaption($this->Segunda_Carga_Viral);
					if ($this->No_Segunda_Carga_Viral_Bebe->Exportable) $Doc->ExportCaption($this->No_Segunda_Carga_Viral_Bebe);
					if ($this->Fecha_Segunda_Carga_Viral->Exportable) $Doc->ExportCaption($this->Fecha_Segunda_Carga_Viral);
					if ($this->Edad_Segunda_Carga_Viral_Dias->Exportable) $Doc->ExportCaption($this->Edad_Segunda_Carga_Viral_Dias);
					if ($this->Resultado_Tamizaje_M18->Exportable) $Doc->ExportCaption($this->Resultado_Tamizaje_M18);
					if ($this->Fecha_Tamizaje->Exportable) $Doc->ExportCaption($this->Fecha_Tamizaje);
					if ($this->Ultima_Cargaviral->Exportable) $Doc->ExportCaption($this->Ultima_Cargaviral);
					if ($this->Fecha_Ultima_Carga_viral->Exportable) $Doc->ExportCaption($this->Fecha_Ultima_Carga_viral);
					if ($this->Formula_Lactea->Exportable) $Doc->ExportCaption($this->Formula_Lactea);
					if ($this->Edad_Dias_Bebe->Exportable) $Doc->ExportCaption($this->Edad_Dias_Bebe);
					if ($this->Clasificacion_Final_bebe->Exportable) $Doc->ExportCaption($this->Clasificacion_Final_bebe);
					if ($this->Observaciones->Exportable) $Doc->ExportCaption($this->Observaciones);
					if ($this->Registrado_Por->Exportable) $Doc->ExportCaption($this->Registrado_Por);
				} else {
					if ($this->id->Exportable) $Doc->ExportCaption($this->id);
					if ($this->Primer_Nombre->Exportable) $Doc->ExportCaption($this->Primer_Nombre);
					if ($this->Segundo_Nombre->Exportable) $Doc->ExportCaption($this->Segundo_Nombre);
					if ($this->Primer_Apellido->Exportable) $Doc->ExportCaption($this->Primer_Apellido);
					if ($this->Segundo_Apellido->Exportable) $Doc->ExportCaption($this->Segundo_Apellido);
					if ($this->Registro_Civil->Exportable) $Doc->ExportCaption($this->Registro_Civil);
					if ($this->Sexo->Exportable) $Doc->ExportCaption($this->Sexo);
					if ($this->Fecha_Nacimiento->Exportable) $Doc->ExportCaption($this->Fecha_Nacimiento);
					if ($this->Peso_Gramos->Exportable) $Doc->ExportCaption($this->Peso_Gramos);
					if ($this->Recibio_Tratamiento_Profilactico->Exportable) $Doc->ExportCaption($this->Recibio_Tratamiento_Profilactico);
					if ($this->Esquema_Tratamiento->Exportable) $Doc->ExportCaption($this->Esquema_Tratamiento);
					if ($this->Otro->Exportable) $Doc->ExportCaption($this->Otro);
					if ($this->Tipo_Tratamiento_Bebe->Exportable) $Doc->ExportCaption($this->Tipo_Tratamiento_Bebe);
					if ($this->No_Primera_Carga_Viral->Exportable) $Doc->ExportCaption($this->No_Primera_Carga_Viral);
					if ($this->Fecha_Primera_Cviral->Exportable) $Doc->ExportCaption($this->Fecha_Primera_Cviral);
					if ($this->Edad_Primer_Cviral_Dias->Exportable) $Doc->ExportCaption($this->Edad_Primer_Cviral_Dias);
					if ($this->Segunda_Carga_Viral->Exportable) $Doc->ExportCaption($this->Segunda_Carga_Viral);
					if ($this->No_Segunda_Carga_Viral_Bebe->Exportable) $Doc->ExportCaption($this->No_Segunda_Carga_Viral_Bebe);
					if ($this->Fecha_Segunda_Carga_Viral->Exportable) $Doc->ExportCaption($this->Fecha_Segunda_Carga_Viral);
					if ($this->Edad_Segunda_Carga_Viral_Dias->Exportable) $Doc->ExportCaption($this->Edad_Segunda_Carga_Viral_Dias);
					if ($this->Resultado_Tamizaje_M18->Exportable) $Doc->ExportCaption($this->Resultado_Tamizaje_M18);
					if ($this->Fecha_Tamizaje->Exportable) $Doc->ExportCaption($this->Fecha_Tamizaje);
					if ($this->Ultima_Cargaviral->Exportable) $Doc->ExportCaption($this->Ultima_Cargaviral);
					if ($this->Fecha_Ultima_Carga_viral->Exportable) $Doc->ExportCaption($this->Fecha_Ultima_Carga_viral);
					if ($this->Formula_Lactea->Exportable) $Doc->ExportCaption($this->Formula_Lactea);
					if ($this->Edad_Dias_Bebe->Exportable) $Doc->ExportCaption($this->Edad_Dias_Bebe);
					if ($this->Clasificacion_Final_bebe->Exportable) $Doc->ExportCaption($this->Clasificacion_Final_bebe);
					if ($this->Observaciones->Exportable) $Doc->ExportCaption($this->Observaciones);
					if ($this->Registrado_Por->Exportable) $Doc->ExportCaption($this->Registrado_Por);
				}
				$Doc->EndExportRow();
			}
		}

		// Move to first record
		$RecCnt = $StartRec - 1;
		if (!$Recordset->EOF) {
			$Recordset->MoveFirst();
			if ($StartRec > 1)
				$Recordset->Move($StartRec - 1);
		}
		while (!$Recordset->EOF && $RecCnt < $StopRec) {
			$RecCnt++;
			if (intval($RecCnt) >= intval($StartRec)) {
				$RowCnt = intval($RecCnt) - intval($StartRec) + 1;

				// Page break
				if ($this->ExportPageBreakCount > 0) {
					if ($RowCnt > 1 && ($RowCnt - 1) % $this->ExportPageBreakCount == 0)
						$Doc->ExportPageBreak();
				}
				$this->LoadListRowValues($Recordset);

				// Render row
				$this->RowType = EW_ROWTYPE_VIEW; // Render view
				$this->ResetAttrs();
				$this->RenderListRow();
				if (!$Doc->ExportCustom) {
					$Doc->BeginExportRow($RowCnt); // Allow CSS styles if enabled
					if ($ExportPageType == "view") {
						if ($this->id->Exportable) $Doc->ExportField($this->id);
						if ($this->Primer_Nombre->Exportable) $Doc->ExportField($this->Primer_Nombre);
						if ($this->Segundo_Nombre->Exportable) $Doc->ExportField($this->Segundo_Nombre);
						if ($this->Primer_Apellido->Exportable) $Doc->ExportField($this->Primer_Apellido);
						if ($this->Segundo_Apellido->Exportable) $Doc->ExportField($this->Segundo_Apellido);
						if ($this->Registro_Civil->Exportable) $Doc->ExportField($this->Registro_Civil);
						if ($this->Sexo->Exportable) $Doc->ExportField($this->Sexo);
						if ($this->Fecha_Nacimiento->Exportable) $Doc->ExportField($this->Fecha_Nacimiento);
						if ($this->Peso_Gramos->Exportable) $Doc->ExportField($this->Peso_Gramos);
						if ($this->Recibio_Tratamiento_Profilactico->Exportable) $Doc->ExportField($this->Recibio_Tratamiento_Profilactico);
						if ($this->Esquema_Tratamiento->Exportable) $Doc->ExportField($this->Esquema_Tratamiento);
						if ($this->Otro->Exportable) $Doc->ExportField($this->Otro);
						if ($this->Tipo_Tratamiento_Bebe->Exportable) $Doc->ExportField($this->Tipo_Tratamiento_Bebe);
						if ($this->No_Primera_Carga_Viral->Exportable) $Doc->ExportField($this->No_Primera_Carga_Viral);
						if ($this->Fecha_Primera_Cviral->Exportable) $Doc->ExportField($this->Fecha_Primera_Cviral);
						if ($this->Edad_Primer_Cviral_Dias->Exportable) $Doc->ExportField($this->Edad_Primer_Cviral_Dias);
						if ($this->Segunda_Carga_Viral->Exportable) $Doc->ExportField($this->Segunda_Carga_Viral);
						if ($this->No_Segunda_Carga_Viral_Bebe->Exportable) $Doc->ExportField($this->No_Segunda_Carga_Viral_Bebe);
						if ($this->Fecha_Segunda_Carga_Viral->Exportable) $Doc->ExportField($this->Fecha_Segunda_Carga_Viral);
						if ($this->Edad_Segunda_Carga_Viral_Dias->Exportable) $Doc->ExportField($this->Edad_Segunda_Carga_Viral_Dias);
						if ($this->Resultado_Tamizaje_M18->Exportable) $Doc->ExportField($this->Resultado_Tamizaje_M18);
						if ($this->Fecha_Tamizaje->Exportable) $Doc->ExportField($this->Fecha_Tamizaje);
						if ($this->Ultima_Cargaviral->Exportable) $Doc->ExportField($this->Ultima_Cargaviral);
						if ($this->Fecha_Ultima_Carga_viral->Exportable) $Doc->ExportField($this->Fecha_Ultima_Carga_viral);
						if ($this->Formula_Lactea->Exportable) $Doc->ExportField($this->Formula_Lactea);
						if ($this->Edad_Dias_Bebe->Exportable) $Doc->ExportField($this->Edad_Dias_Bebe);
						if ($this->Clasificacion_Final_bebe->Exportable) $Doc->ExportField($this->Clasificacion_Final_bebe);
						if ($this->Observaciones->Exportable) $Doc->ExportField($this->Observaciones);
						if ($this->Registrado_Por->Exportable) $Doc->ExportField($this->Registrado_Por);
					} else {
						if ($this->id->Exportable) $Doc->ExportField($this->id);
						if ($this->Primer_Nombre->Exportable) $Doc->ExportField($this->Primer_Nombre);
						if ($this->Segundo_Nombre->Exportable) $Doc->ExportField($this->Segundo_Nombre);
						if ($this->Primer_Apellido->Exportable) $Doc->ExportField($this->Primer_Apellido);
						if ($this->Segundo_Apellido->Exportable) $Doc->ExportField($this->Segundo_Apellido);
						if ($this->Registro_Civil->Exportable) $Doc->ExportField($this->Registro_Civil);
						if ($this->Sexo->Exportable) $Doc->ExportField($this->Sexo);
						if ($this->Fecha_Nacimiento->Exportable) $Doc->ExportField($this->Fecha_Nacimiento);
						if ($this->Peso_Gramos->Exportable) $Doc->ExportField($this->Peso_Gramos);
						if ($this->Recibio_Tratamiento_Profilactico->Exportable) $Doc->ExportField($this->Recibio_Tratamiento_Profilactico);
						if ($this->Esquema_Tratamiento->Exportable) $Doc->ExportField($this->Esquema_Tratamiento);
						if ($this->Otro->Exportable) $Doc->ExportField($this->Otro);
						if ($this->Tipo_Tratamiento_Bebe->Exportable) $Doc->ExportField($this->Tipo_Tratamiento_Bebe);
						if ($this->No_Primera_Carga_Viral->Exportable) $Doc->ExportField($this->No_Primera_Carga_Viral);
						if ($this->Fecha_Primera_Cviral->Exportable) $Doc->ExportField($this->Fecha_Primera_Cviral);
						if ($this->Edad_Primer_Cviral_Dias->Exportable) $Doc->ExportField($this->Edad_Primer_Cviral_Dias);
						if ($this->Segunda_Carga_Viral->Exportable) $Doc->ExportField($this->Segunda_Carga_Viral);
						if ($this->No_Segunda_Carga_Viral_Bebe->Exportable) $Doc->ExportField($this->No_Segunda_Carga_Viral_Bebe);
						if ($this->Fecha_Segunda_Carga_Viral->Exportable) $Doc->ExportField($this->Fecha_Segunda_Carga_Viral);
						if ($this->Edad_Segunda_Carga_Viral_Dias->Exportable) $Doc->ExportField($this->Edad_Segunda_Carga_Viral_Dias);
						if ($this->Resultado_Tamizaje_M18->Exportable) $Doc->ExportField($this->Resultado_Tamizaje_M18);
						if ($this->Fecha_Tamizaje->Exportable) $Doc->ExportField($this->Fecha_Tamizaje);
						if ($this->Ultima_Cargaviral->Exportable) $Doc->ExportField($this->Ultima_Cargaviral);
						if ($this->Fecha_Ultima_Carga_viral->Exportable) $Doc->ExportField($this->Fecha_Ultima_Carga_viral);
						if ($this->Formula_Lactea->Exportable) $Doc->ExportField($this->Formula_Lactea);
						if ($this->Edad_Dias_Bebe->Exportable) $Doc->ExportField($this->Edad_Dias_Bebe);
						if ($this->Clasificacion_Final_bebe->Exportable) $Doc->ExportField($this->Clasificacion_Final_bebe);
						if ($this->Observaciones->Exportable) $Doc->ExportField($this->Observaciones);
						if ($this->Registrado_Por->Exportable) $Doc->ExportField($this->Registrado_Por);
					}
					$Doc->EndExportRow();
				}
			}

			// Call Row Export server event
			if ($Doc->ExportCustom)
				$this->Row_Export($Recordset->fields);
			$Recordset->MoveNext();
		}
		if (!$Doc->ExportCustom) {
			$Doc->ExportTableFooter();
		}
	}

	// Get auto fill value
	function GetAutoFill($id, $val) {
		$rsarr = array();
		$rowcnt = 0;

		// Output
		if (is_array($rsarr) && $rowcnt > 0) {
			$fldcnt = count($rsarr[0]);
			for ($i = 0; $i < $rowcnt; $i++) {
				for ($j = 0; $j < $fldcnt; $j++) {
					$str = strval($rsarr[$i][$j]);
					$str = ew_ConvertToUtf8($str);
					if (isset($post["keepCRLF"])) {
						$str = str_replace(array("\r", "\n"), array("\\r", "\\n"), $str);
					} else {
						$str = str_replace(array("\r", "\n"), array(" ", " "), $str);
					}
					$rsarr[$i][$j] = $str;
				}
			}
			return ew_ArrayToJson($rsarr);
		} else {
			return FALSE;
		}
	}

	// Table level events
	// Recordset Selecting event
	function Recordset_Selecting(&$filter) {

		// Enter your code here	
	}

	// Recordset Selected event
	function Recordset_Selected(&$rs) {

		//echo "Recordset Selected";
	}

	// Recordset Search Validated event
	function Recordset_SearchValidated() {

		// Example:
		//$this->MyField1->AdvancedSearch->SearchValue = "your search criteria"; // Search value

	}

	// Recordset Searching event
	function Recordset_Searching(&$filter) {

		// Enter your code here	
	}

	// Row_Selecting event
	function Row_Selecting(&$filter) {

		// Enter your code here	
	}

	// Row Selected event
	function Row_Selected(&$rs) {

		//echo "Row Selected";
	}

	// Row Inserting event
	function Row_Inserting($rsold, &$rsnew) {

		// Enter your code here                 
		// To cancel, set return value to FALSE
		// Agrega campos : ----- 
		// 2_Numero de identif...    (aca pones los otros)
		// Buscamos el registro de la tabla maestro (seguimniento materno)
	 // $materno=$this->Id_Registro_Madre->CurrentValue; // consulta al formulario -- mas rapido
		// $victima=$rsnew['ID_Victima'];     consulta a la db   ---igual consulta usa mas recurso                                                          
		// Traemos los campos desde la tabla maestro (registro)
	 // $consulta_Primernombre = "SELECT Primer_Nombre_Madre FROM seguimiento_materno WHERE Id=".$materno;
	 // $Primer_Nombre = ew_ExecuteScalar($consulta_Primernombre);    
	  //$consulta_Segundonombre = "SELECT Segundo_Nombre_Madre FROM seguimiento_materno WHERE Id=".$materno;
	  //$Segundo_Nombre = ew_ExecuteScalar($consulta_Segundonombre);      
	  //$consulta_Primerapellido = "SELECT Primer_Apellido_Madre FROM seguimiento_materno WHERE Id=".$materno;
	  //$Primer_Apellido = ew_ExecuteScalar($consulta_Primerapellido);       
	  //$consulta_Identificacion = "SELECT Documento_Madre FROM seguimiento_materno WHERE Id=".$materno;
	  //$Numero_Documento = ew_ExecuteScalar($consulta_Identificacion);   
	  //$consulta_Primernombre = "SELECT Codigo_Ips  FROM seguimiento_materno WHERE Id=".$materno;
	 // $Primer_Nombre = ew_ExecuteScalar($consulta_Primernombre);                                                              
		// Llenamos los campos desde la tabla maestro (registro)     
	  // $rsnew['Primer_Nombre_Madre'] = $Primer_Nombre;        
	  // $rsnew['Segundo_Nombre_Madre'] = $Segundo_Nombre;     
	   //$rsnew['Primer_Apellido_Madre'] =$Primer_Apellido;      
	   //$rsnew['Documento_Madre'] =$Numero_Documento; 
	  // $rsnew['Segundo_Nombre'] =$Primer_Nombre;                      
		// Cerramos la consulta de la db 

	   return TRUE;   
	}            

	// Row Inserted event
	function Row_Inserted($rsold, &$rsnew) {

		//echo "Row Inserted"
	}

	// Row Updating event
	function Row_Updating($rsold, &$rsnew) {

		// Enter your code here
		// To cancel, set return value to FALSE

		return TRUE;
	}

	// Row Updated event
	function Row_Updated($rsold, &$rsnew) {

		//echo "Row Updated";
	}

	// Row Update Conflict event
	function Row_UpdateConflict($rsold, &$rsnew) {

		// Enter your code here
		// To ignore conflict, set return value to FALSE

		return TRUE;
	}

	// Grid Inserting event
	function Grid_Inserting() {

		// Enter your code here
		// To reject grid insert, set return value to FALSE

		return TRUE;
	}

	// Grid Inserted event
	function Grid_Inserted($rsnew) {

		//echo "Grid Inserted";
	}

	// Grid Updating event
	function Grid_Updating($rsold) {

		// Enter your code here
		// To reject grid update, set return value to FALSE

		return TRUE;
	}

	// Grid Updated event
	function Grid_Updated($rsold, $rsnew) {

		//echo "Grid Updated";
	}

	// Row Deleting event
	function Row_Deleting(&$rs) {

		// Enter your code here
		// To cancel, set return value to False

		return TRUE;
	}

	// Row Deleted event
	function Row_Deleted(&$rs) {

		//echo "Row Deleted";
	}

	// Email Sending event
	function Email_Sending(&$Email, &$Args) {

		//var_dump($Email); var_dump($Args); exit();
		return TRUE;
	}

	// Lookup Selecting event
	function Lookup_Selecting($fld, &$filter) {

		//var_dump($fld->FldName, $fld->LookupFilters, $filter); // Uncomment to view the filter
		// Enter your code here

	}

	// Row Rendering event
	function Row_Rendering() {

		// Enter your code here	
	}

	// Row Rendered event
	function Row_Rendered() {

		// To view properties of field class, use:
		//var_dump($this-><FieldName>); 

	}

	// User ID Filtering event
	function UserID_Filtering(&$filter) {

		// Enter your code here
	}
}
?>
